ONOS-7330 Added ONOS-P4 VM build script

Builds and OVA from scratch with the most updated tools in one command.
The build process is based on Vagrant.

Change-Id: I633d99092946f99e877f0c97631a4f99c5b1f37e
diff --git a/tools/dev/p4vm/user-bootstrap.sh b/tools/dev/p4vm/user-bootstrap.sh
new file mode 100755
index 0000000..d8f3709
--- /dev/null
+++ b/tools/dev/p4vm/user-bootstrap.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -xe
+
+cp /etc/skel/.bashrc ~/
+cp /etc/skel/.profile ~/
+cp /etc/skel/.bash_logout ~/
+
+# ONOS
+git clone https://github.com/opennetworkinglab/onos.git
+echo "export ONOS_ROOT=~/onos" >> ~/.bashrc
+echo "source ~/onos/tools/dev/bash_profile" >> ~/.bashrc
+
+# Build and install P4 tools
+bash ~/onos/tools/dev/bin/onos-setup-p4-dev
+
+# Mininet
+git clone git://github.com/mininet/mininet ~/mininet
+sudo ~/mininet/util/install.sh -nwv